

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>Python Module Index &mdash; d2o Python Library 1.0 documentation</title>
  

  
  

  

  
  
    

  

  
  
    <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  

  

  
    <link rel="top" title="d2o Python Library 1.0 documentation" href="index.html"/>
 



  
  <script src="_static/js/modernizr.min.js"></script>

</head>

<body class="wy-body-for-nav" role="document">

  <div class="wy-grid-for-nav">

    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search">
          

          
            <a href="index.html" class="icon icon-home"> d2o Python Library
          

          
          </a>

          
            
            
              <div class="version">
                1.0
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
                <ul class="simple">
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" role="navigation" aria-label="top navigation">
        <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
        <a href="index.html">d2o Python Library</a>
      </nav>


      
      <div class="wy-nav-content">
        <div class="rst-content">
          





<div role="navigation" aria-label="breadcrumbs navigation">
  <ul class="wy-breadcrumbs">
    <li><a href="index.html">Docs</a> &raquo;</li>
      
    <li></li>
      <li class="wy-breadcrumbs-aside">
        
          
        
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            

   <h1>Python Module Index</h1>

   <div class="modindex-jumpbox">
   <a href="#cap-d"><strong>d</strong></a>
   </div>

   <table class="indextable modindextable" cellspacing="0" cellpadding="2">
     <tr class="pcap"><td></td><td>&nbsp;</td><td></td></tr>
     <tr class="cap" id="cap-d"><td></td><td>
       <strong>d</strong></td><td></td></tr>
     <tr>
       <td><img src="_static/minus.png" class="toggler"
              id="toggle-1" style="display: none" alt="-" /></td>
       <td>
       <a href="d2o.html#module-d2o"><code class="xref">d2o</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&nbsp;&nbsp;&nbsp;
       <a href="d2o.analyze.html#module-d2o.analyze"><code class="xref">d2o.analyze</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&nbsp;&nbsp;&nbsp;
       <a href="d2o.analyze.html#module-d2o.analyze.changedetection"><code class="xref">d2o.analyze.changedetection</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&nbsp;&nbsp;&nbsp;
       <a href="d2o.analyze.html#module-d2o.analyze.correlation"><code class="xref">d2o.analyze.correlation</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&nbsp;&nbsp;&nbsp;
       <a href="d2o.analyze.html#module-d2o.analyze.correlation_m"><code class="xref">d2o.analyze.correlation_m</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&nbsp;&nbsp;&nbsp;
       <a href="d2o.analyze.html#module-d2o.analyze.fourier"><code class="xref">d2o.analyze.fourier</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&nbsp;&nbsp;&nbsp;
       <a href="d2o.data.html#module-d2o.data"><code class="xref">d2o.data</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&nbsp;&nbsp;&nbsp;
       <a href="d2o.data.db.html#module-d2o.data.db"><code class="xref">d2o.data.db</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&nbsp;&nbsp;&nbsp;
       <a href="d2o.data.db.html#module-d2o.data.db.mssql"><code class="xref">d2o.data.db.mssql</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&nbsp;&nbsp;&nbsp;
       <a href="d2o.html#module-d2o.database"><code class="xref">d2o.database</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&nbsp;&nbsp;&nbsp;
       <a href="d2o.learn.html#module-d2o.learn"><code class="xref">d2o.learn</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&nbsp;&nbsp;&nbsp;
       <a href="d2o.learn.nn.html#module-d2o.learn.nn"><code class="xref">d2o.learn.nn</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&nbsp;&nbsp;&nbsp;
       <a href="d2o.learn.nn.html#module-d2o.learn.nn.bpn"><code class="xref">d2o.learn.nn.bpn</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&nbsp;&nbsp;&nbsp;
       <a href="d2o.learn.nn.html#module-d2o.learn.nn.d2o_mask_factory"><code class="xref">d2o.learn.nn.d2o_mask_factory</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&nbsp;&nbsp;&nbsp;
       <a href="d2o.learn.nn.html#module-d2o.learn.nn.datasets"><code class="xref">d2o.learn.nn.datasets</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&nbsp;&nbsp;&nbsp;
       <a href="d2o.learn.nn.html#module-d2o.learn.nn.maskfactory"><code class="xref">d2o.learn.nn.maskfactory</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&nbsp;&nbsp;&nbsp;
       <a href="d2o.learn.nn.html#module-d2o.learn.nn.masks"><code class="xref">d2o.learn.nn.masks</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&nbsp;&nbsp;&nbsp;
       <a href="d2o.learn.nn.html#module-d2o.learn.nn.runner"><code class="xref">d2o.learn.nn.runner</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&nbsp;&nbsp;&nbsp;
       <a href="d2o.learn.nn.html#module-d2o.learn.nn.trainer"><code class="xref">d2o.learn.nn.trainer</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&nbsp;&nbsp;&nbsp;
       <a href="d2o.learn.nn.html#module-d2o.learn.nn.transfer_functions"><code class="xref">d2o.learn.nn.transfer_functions</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&nbsp;&nbsp;&nbsp;
       <a href="d2o.prep.html#module-d2o.prep"><code class="xref">d2o.prep</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&nbsp;&nbsp;&nbsp;
       <a href="d2o.prep.html#module-d2o.prep.scaling"><code class="xref">d2o.prep.scaling</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&nbsp;&nbsp;&nbsp;
       <a href="d2o.html#module-d2o.season_plotter"><code class="xref">d2o.season_plotter</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&nbsp;&nbsp;&nbsp;
       <a href="d2o.utils.html#module-d2o.utils"><code class="xref">d2o.utils</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&nbsp;&nbsp;&nbsp;
       <a href="d2o.utils.html#module-d2o.utils.calc"><code class="xref">d2o.utils.calc</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&nbsp;&nbsp;&nbsp;
       <a href="d2o.utils.html#module-d2o.utils.email"><code class="xref">d2o.utils.email</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&nbsp;&nbsp;&nbsp;
       <a href="d2o.utils.html#module-d2o.utils.errors"><code class="xref">d2o.utils.errors</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&nbsp;&nbsp;&nbsp;
       <a href="d2o.utils.html#module-d2o.utils.handlers"><code class="xref">d2o.utils.handlers</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&nbsp;&nbsp;&nbsp;
       <a href="d2o.utils.html#module-d2o.utils.logger"><code class="xref">d2o.utils.logger</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&nbsp;&nbsp;&nbsp;
       <a href="d2o.utils.html#module-d2o.utils.putils"><code class="xref">d2o.utils.putils</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&nbsp;&nbsp;&nbsp;
       <a href="d2o.utils.html#module-d2o.utils.systools"><code class="xref">d2o.utils.systools</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&nbsp;&nbsp;&nbsp;
       <a href="d2o.utils.html#module-d2o.utils.timeout"><code class="xref">d2o.utils.timeout</code></a></td><td>
       <em></em></td></tr>
   </table>


           </div>
          </div>
          <footer>
  

  <hr/>

  <div role="contentinfo">
    <p>
        &copy; Copyright 2016, Chronos AS.

    </p>
  </div>
  Built with <a href="http://sphinx-doc.org/">Sphinx</a> using a <a href="https://github.com/snide/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  

    <script type="text/javascript">
        var DOCUMENTATION_OPTIONS = {
            URL_ROOT:'./',
            VERSION:'1.0',
            COLLAPSE_INDEX:false,
            FILE_SUFFIX:'.html',
            HAS_SOURCE:  true
        };
    </script>
      <script type="text/javascript" src="_static/jquery.js"></script>
      <script type="text/javascript" src="_static/underscore.js"></script>
      <script type="text/javascript" src="_static/doctools.js"></script>
      <script type="text/javascript" src="https://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>

  

  
  
    <script type="text/javascript" src="_static/js/theme.js"></script>
  

  
  
  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.StickyNav.enable();
      });
  </script>
   

</body>
</html>